Installation
XMLDiff\Base::__construct
XMLDiff
PHP Manual

# The XMLDiff\Base class

(PECL xmldiff >= 0.8.0)

## Introduction

Base abstract class for all the comparsion classes in the extension.

## Class synopsis

XMLDiff\Base {
/* Methods */
public __construct ( string `$nsname` )
abstract public mixed diff ( mixed `$from` , mixed `$to` )
abstract public mixed merge ( mixed `$src` , mixed `$diff` )
}

## Table of Contents

- XMLDiff\Base::__construct — Constructor
- XMLDiff\Base::diff — Produce diff of two XML documents
- XMLDiff\Base::merge — Produce new XML document based on diff

Installation
XMLDiff\Base::__construct
XMLDiff
PHP Manual